From b12cb74f34de8c195a81e3c310ccbb45d64204d4 Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Mon, 17 Jun 2019 20:52:03 -0500
Subject: [PATCH] New package: g810-led-0.3.5

Closes #12431
---
 srcpkgs/g810-led/template | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100644 srcpkgs/g810-led/template

diff --git a/srcpkgs/g810-led/template b/srcpkgs/g810-led/template
new file mode 100644
index 00000000000..d978c0c7665
--- /dev/null
+++ b/srcpkgs/g810-led/template
@@ -0,0 +1,26 @@
+# Template file for 'g810-led'
+pkgname=g810-led
+version=0.3.5
+revision=1
+build_style=gnu-makefile
+makedepends="hidapi-devel"
+short_desc="LED controller for Logitech G213,410,512,610,810,910,PRO keyboards"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="GPL-3.0-only"
+homepage="https://github.com/MatMoul/g810-led/"
+distfiles="https://github.com/MatMoul/g810-led/archive/v${version}.tar.gz"
+checksum=8a971be4b77111aa54b250a39b6fcead78188f46999b2aa9b8280c2506753e69
+
+do_install() {
+	vbin bin/g810-led
+	for i in 210 410 413 512 513 610 910 pro; do
+		ln -s /usr/bin/g810-led $DESTDIR/usr/bin/g$i-led
+	done
+	vmkdir usr/lib
+	vcopy "lib/*.so.*" usr/lib
+	vdoc README.md
+	vdoc INSTALL.md
+	for i in sample_profiles/*; do
+		vsconf $i
+	done
+}
